Subject: bug#17074: 24.4.50; C-j is undefined in Emacs Lisp mode (and RET doesn't indent either)

From: Drew Adams <[email-masked]>
Date: Sun, 23 Mar 2014 18:16:56 -0700 (PDT)

> The trunk code has had C-j unbound (globally, not just in elisp-mode) for
> a few days right when I forked emacs-24 but that's been fixed.  So if
> C-j is unbound globally for you, you're probably just using a revision
> from that unfortunate period.

You tell me.  Does the time of the build I reported fall during
that (vaguely expressed) "unfortunate period"?  The bug report is
quite specific about the build.  Why beat around the bush?

It's always next to impossible to know whether or not a change
such as C-j being undefined is by design.  There is in general a
lack of proposals followed by discussion, and a lack of help from
NEWS (until very near the end).  We come across a change and try
to guess whether it is intentional.

>From my point of view this is a regression.  Glad to hear you
apparently think so too.  But until hearing that, it is not obvious
that this is not some new design brainchild.